// node modules
import React from "react";
import { Meta, Story } from "@storybook/react";

// local components
import { ProgressBar, ProgressBarProps } from "../components/progress_bar";
import { ProgressBarThin, ProgressBarThinProps } from "../components/progress_bar_thin";

export default {
    title: 'Example/ProgressBar',
} as Meta;

const ProgressBarTpl: Story<ProgressBarProps> = (args) => <ProgressBar {...args} />;

export const progress_bar = ProgressBarTpl.bind({});

progress_bar.args = { percents: 20 };

const ProgressBarThinTpl: Story<ProgressBarThinProps> = (args) => <ProgressBarThin {...args} />;

export const progress_bar_thin = ProgressBarThinTpl.bind({});

progress_bar_thin.args = { percents: 20, title: 'Title' };