// node modules
import React from "react";
import { Meta, Story } from "@storybook/react";

// local components
import { Typography, TypographyProps } from "../components/typography";

export default {
    title: 'Example/Typography'
} as Meta;

const TypographyTpl: Story<TypographyProps> = (args) => <Typography {...args} />;

export const typography = TypographyTpl.bind({});

typography.args = { children: 'Typography', variant: 'h4' };
